package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttInsiBase;

/** 机电排灌信息 Service */
public interface InsiService {
    /**
     * 查询机电排灌信息列表
     * 
     * @param attInsiBase 查询条件
     * @return 机电排灌信息列表
     */
    public List<AttInsiBase> selectAttInsiBaseList(AttInsiBase attInsiBase);

    /**
     * 通过机电排灌编码查询机电排灌信息
     * 
     * @param insiCode 机电排灌编码
     * @return 机电排灌信息
     */
    public AttInsiBase selectAttInsiBaseById(String insiCode);

    /**
     * 批量删除机电排灌信息
     * 
     * @param insiCodes 机电排灌编码数组
     * @return 删除行数
     */
    public int deleteAttInsiBaseByIds(String[] insiCodes);

    /**
     * 新增机电排灌信息
     * 
     * @param attInsiBase 机电排灌信息
     * @return 插入行数
     */
    public int insertAttInsiBase(AttInsiBase attInsiBase);

    /**
     * 修改机电排灌信息
     * 
     * @param attInsiBase 机电排灌信息
     * @return 更新行数
     */
    public int updateAttInsiBase(AttInsiBase attInsiBase);
}
